1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

2.81 to 3.03 OE-C or 3.40 OE-A just trying to play psp ISO's

Discussion in 'Sony PSP - Mod and firmware discussion' started by HoustonTX, Jul 28, 2007.

  1. HoustonTX

    HoustonTX Member

    Joined:
    Jun 30, 2005
    Messages:
    88
    Likes Received:
    0
    Trophy Points:
    16
    I just wanted to know if i could just use the wininstallers to upgrade my 2.81 psp to 3.40 OE or do i have to downgrade first to 1.5 then upgrade to 3.40 i just don't want to mess up my psp thanks
     
  2. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    No-you need to downgrade to 1.50 before you can use those winstallers...
    In your case, you will have to upgrade to official 3.03 firmware, and downgrade using an unpatched GTA:LCS (the unpatched has the 2.00 firmware update)-Check out the guide here...
     
  3. HoustonTX

    HoustonTX Member

    Joined:
    Jun 30, 2005
    Messages:
    88
    Likes Received:
    0
    Trophy Points:
    16
    O ok thanks man i was just making sure before i tried it i bought the wrong GTA LC i need to go back to the store to get the 2.0
     
  4. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    Yeah good luck finding that game...I would take your PSP with you to like gamestop/eb games and check it in the store to make sure it has the 2.00 update before you buy it. Because all the new packaged games are patched-you are better off getting one used. Try eBay if no luck at the gamestores...If you can find the Lumines game, you could use that also...But that game is getting hard to come by too..
     

Share This Page